Skip to content

Check Search

Check Search

GET https://search.pex.com/api/v1/search/check-search/{lookup_id}

Requests the result for a Search lookup.

Request

Parameter Type Required Description
lookup_id string Yes Lookup ID returned by a Search start endpoint.

Examples

import requests

ACCESS_TOKEN = "YOUR_ACCESS_TOKEN"
LOOKUP_ID = "123456789012345678"

response = requests.get(
    f"https://search.pex.com/api/v1/search/check-search/{LOOKUP_ID}",
    headers={
        "Authorization": f"Bearer {ACCESS_TOKEN}",
    },
)

response.raise_for_status()

print(response.json())
ACCESS_TOKEN="YOUR_ACCESS_TOKEN"
LOOKUP_ID="123456789012345678"

curl -X GET "https://search.pex.com/api/v1/search/check-search/${LOOKUP_ID}"  -H "Authorization: Bearer ${ACCESS_TOKEN}"

Response

The check endpoint blocks until the lookup is complete, then returns the completed Search response.

{
  "lookup_ids": [
    "123456789012345678"
  ],
  "query_file_duration_seconds": 158.0,
  "matches": [
    {
      "asset": {
        "title": "Example Track",
        "subtitle": "",
        "artist": "Example Artist",
        "isrc": "USRC12345678",
        "id": "987654321098765432",
        "duration_seconds": 207.0,
        "album_name": "Example Album",
        "barcode": "123456789012",
        "label": "Example Label",
        "distributor": "Example Distributor",
        "release_date": {
          "year": 2024,
          "month": 1,
          "day": 15
        },
        "dsp": [
          {
            "name": "spotify",
            "url": "https://open.spotify.com/track/example-track"
          }
        ]
      },
      "match_details": {
        "audio": {
          "query_match_duration_seconds": 158.0,
          "query_match_percentage": 100.0,
          "asset_match_duration_seconds": 207.0,
          "asset_match_percentage": 76.3,
          "segments": [
            {
              "query_start": 0,
              "query_end": 158,
              "asset_start": 12,
              "asset_end": 170,
              "audio_pitch": 0,
              "audio_speed": 100,
              "melody_transposition": null,
              "confidence": 100
            }
          ]
        },
        "melody": null,
        "phonetic": null,
        "video": null
      }
    }
  ]
}